Package org.eclipse.birt.chart.model.attribute.impl

# Class InteractivityImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.InteractivityImpl

All Implemented Interfaces:
  `Interactivity`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class InteractivityImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Interactivity
An implementation of the model object 'Interactivity'.

The following features are implemented:

- `Enable`
- `Legend Behavior`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`Interactivity`
`copyInstance()`
`static Interactivity`
`create()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`LegendBehaviorType`
`getLegendBehavior()`
`boolean`
`isEnable()`
`boolean`
`isSetEnable()`
`boolean`
`isSetLegendBehavior()`
`void`
`setEnable(boolean newEnable)`
`void`
`setLegendBehavior(LegendBehaviorType newLegendBehavior)`
`String`
`toString()`
`void`
`unsetEnable()`
`void`
`unsetLegendBehavior()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### isEnable

public boolean isEnable()

Specified by:
  `isEnable` in interface `Interactivity`
Returns:
  the value of the 'Enable' attribute.
See Also:
  - `Interactivity.isSetEnable()`
  - `Interactivity.unsetEnable()`
  - `Interactivity.setEnable(boolean)`
  - `AttributePackage.getInteractivity_Enable()`

### setEnable

public void setEnable(boolean newEnable)

Specified by:
  `setEnable` in interface `Interactivity`
Parameters:
  `newEnable` - the new value of the 'Enable' attribute.
See Also:
  - `Interactivity.isSetEnable()`
  - `Interactivity.unsetEnable()`
  - `Interactivity.isEnable()`

### unsetEnable

public void unsetEnable()

Specified by:
  `unsetEnable` in interface `Interactivity`
See Also:
  - `Interactivity.isSetEnable()`
  - `Interactivity.isEnable()`
  - `Interactivity.setEnable(boolean)`

### isSetEnable

public boolean isSetEnable()

Specified by:
  `isSetEnable` in interface `Interactivity`
Returns:
  whether the value of the 'Enable' attribute is set.
See Also:
  - `Interactivity.unsetEnable()`
  - `Interactivity.isEnable()`
  - `Interactivity.setEnable(boolean)`

### getLegendBehavior

public LegendBehaviorType getLegendBehavior()

Specified by:
  `getLegendBehavior` in interface `Interactivity`
Returns:
  the value of the 'Legend Behavior' attribute.
See Also:
  - `LegendBehaviorType`
  - `Interactivity.isSetLegendBehavior()`
  - `Interactivity.unsetLegendBehavior()`
  - `Interactivity.setLegendBehavior(LegendBehaviorType)`
  - `AttributePackage.getInteractivity_LegendBehavior()`

### setLegendBehavior

public void setLegendBehavior(LegendBehaviorType newLegendBehavior)

Specified by:
  `setLegendBehavior` in interface `Interactivity`
Parameters:
  `newLegendBehavior` - the new value of the 'Legend Behavior' attribute.
See Also:
  - `LegendBehaviorType`
  - `Interactivity.isSetLegendBehavior()`
  - `Interactivity.unsetLegendBehavior()`
  - `Interactivity.getLegendBehavior()`

### unsetLegendBehavior

public void unsetLegendBehavior()

Specified by:
  `unsetLegendBehavior` in interface `Interactivity`
See Also:
  - `Interactivity.isSetLegendBehavior()`
  - `Interactivity.getLegendBehavior()`
  - `Interactivity.setLegendBehavior(LegendBehaviorType)`

### isSetLegendBehavior

public boolean isSetLegendBehavior()

Specified by:
  `isSetLegendBehavior` in interface `Interactivity`
Returns:
  whether the value of the 'Legend Behavior' attribute is set.
See Also:
  - `Interactivity.unsetLegendBehavior()`
  - `Interactivity.getLegendBehavior()`
  - `Interactivity.setLegendBehavior(LegendBehaviorType)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static Interactivity create()

Returns:

### copyInstance

public Interactivity copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Interactivity`